package market.Qms.qcm.mapper;

import java.util.List;

import market.Qms.qcm.vo.JhySampleConsignM;
import market.Qms.qcm.vo.JhySampleROrd;

import com.hnshituo.orm.GenericMapper;


public interface JhySampleConsignMMapper extends GenericMapper<JhySampleConsignM, String> {

	public List<JhySampleConsignM> doQuerybySql(String SMP_NO,String HEAT_NO,String BATCH_NO,String CONTRACT_LINE_NO);
	
	/**
	 * 获取委托主表信息
	 * @return
	 */
	 List<JhySampleConsignM> QuerybySql(int beginindex, int endindex,String starttime,String endtime,String SMP_NO,String HEAT_NO,String BATCH_NO,String CONTRACT_LINE_NO);

	public int doQueryWebBySQLCount(String starttime,String endtime,String SMP_NO,String HEAT_NO,String BATCH_NO,String CONTRACT_LINE_NO); 

	
	/**
	 * 获取当前最大的产品编号
	 * @return
	 */
	public String GetMaxCode();
	
	
	public String QuerybyPk(String OrderPk);
	
	
	public void doInsertOrd(JhySampleROrd ord);
	
	public void doUpdateOrd(JhySampleROrd ord);
	
	public void dodeleteOrd(String spm,String ord);
	
	public void dodeleteM(String spm);
	
	public String doSelectSam(String OrdPk);
	
	public List<String> doSelectPkbyBa(String ba);

	public List<JhySampleConsignM> doSelectRATE(String ba);
	
	
	public List<String> doSelectPkCount(String spm,String OrdPk);
	
	public List<JhySampleConsignM> doSelectRATE_A(String spm);
}
